Lattice Grid Buy a licence

demo D187

Marking a baseline

"Mark all" resets every delta to now

grid.statistics.rebase(col)

Building…
Loading a live grid…

The configuration

<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@toclocoinc/lattice-grid@1.28.0/lattice-grid.min.css">
<style>
  #grid { margin-top: 8px; }
  #grid > div { height: 440px; }
</style>
<div id="app"></div>

<script type="module">
  import * as Vue from 'https://esm.sh/vue@3';
  import { createGrid } from 'https://cdn.jsdelivr.net/npm/@toclocoinc/lattice-grid@1.28.0/lattice-grid.esm.min.js';
  import createLatticeGrid from 'https://cdn.jsdelivr.net/npm/@toclocoinc/lattice-grid@1.28.0/modules/vue.esm.min.js';

  const LatticeGrid = createLatticeGrid({ vue: Vue, createGrid });

  Vue.createApp({
    components: { LatticeGrid },
    data() {
      return {
        config: {
          rowKey: 'id',
          columns: [
            { field: 'symbol', title: 'Symbol', layout: { pin: 'start', width: 120 } },
            { field: 'price', title: 'Price', type: 'number' },
            { id: 'delta', title: 'Change', shadow: { of: 'price', kind: 'delta' }, type: 'number', format: { signed: true } },
            { id: 'first', title: 'Baseline', shadow: { of: 'price', kind: 'firstValue' }, type: 'number' },
          ],
          rows,  // one symbol per row
        },
      };
    },
    methods: {
      // rebase moves every baseline to the current value, so the deltas start again.
      markAll() {
        this.$refs.grid.grid().statistics.rebase('price');
      },
    },
    template: `
      <div>
        <button @click="markAll">Mark all</button>
        <div id="grid"><lattice-grid ref="grid" v-bind="config" /></div>
      </div>
    `,
  }).mount('#app');
</script>

Lattice Grid Buy a licence

demo D187

Marking a baseline

"Mark all" resets every delta to now

grid.statistics.rebase(col)

Building…
Loading a live grid…

The configuration

<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@toclocoinc/lattice-grid@1.28.0/lattice-grid.min.css">

<div id="app"></div>

<script type="module">
  import React from 'https://esm.sh/react@18';
  import { createRoot } from 'https://esm.sh/react-dom@18/client';
  import { createGrid } from 'https://cdn.jsdelivr.net/npm/@toclocoinc/lattice-grid@1.28.0/lattice-grid.esm.min.js';
  import createLatticeGrid from 'https://cdn.jsdelivr.net/npm/@toclocoinc/lattice-grid@1.28.0/modules/react.esm.min.js';

  const LatticeGrid = createLatticeGrid({ React, createGrid });

  const columns = [
    { field: 'symbol', title: 'Symbol', layout: { pin: 'start', width: 120 } },
    { field: 'price', title: 'Price', type: 'number' },
    { id: 'delta', title: 'Change', shadow: { of: 'price', kind: 'delta' }, type: 'number', format: { signed: true } },
    { id: 'first', title: 'Baseline', shadow: { of: 'price', kind: 'firstValue' }, type: 'number' },
  ];

  const rows = [/* a live price book */];

  function App() {
    const gridRef = React.useRef(null);

    // rebase moves every baseline to the current value, so the deltas start again.
    const markAll = () => {
      const grid = gridRef.current && gridRef.current.grid;
      if (grid) grid.statistics.rebase('price');
    };

    return (
      <>
        <button onClick={markAll}>Mark all</button>
        <LatticeGrid
          ref={gridRef}
          rowKey="id"
          columns={columns}
          rows={rows}
          style={{ height: '440px', marginTop: '8px' }}
        />
      </>
    );
  }

  createRoot(document.getElementById('app')).render(<App />);
</script>

Lattice Grid Buy a licence

demo D187

Marking a baseline

"Mark all" resets every delta to now

grid.statistics.rebase(col)

Building…
Loading a live grid…

The configuration

import * as ng from '@angular/core';
import { Component, ViewChild } from '@angular/core';
import { bootstrapApplication } from '@angular/platform-browser';
import { createGrid } from '@toclocoinc/lattice-grid';
import '@toclocoinc/lattice-grid/css';
import createLatticeGrid from '@toclocoinc/lattice-grid/modules/angular';

const { LatticeGridComponent } = createLatticeGrid({ ng, createGrid });

const columns = [
  { field: 'symbol', title: 'Symbol', layout: { pin: 'start', width: 120 } },
  { field: 'price', title: 'Price', type: 'number' },
  { id: 'delta', title: 'Change', shadow: { of: 'price', kind: 'delta' }, type: 'number', format: { signed: true } },
  { id: 'first', title: 'Baseline', shadow: { of: 'price', kind: 'firstValue' }, type: 'number' },
];

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [LatticeGridComponent],
  template:
    '<button (click)="markAll()">Mark all</button>' +
    '<lattice-grid [config]="grid" style="display:block;height:440px;margin-top:8px"></lattice-grid>',
})
export class AppComponent {
  @ViewChild(LatticeGridComponent) gridRef!: LatticeGridComponent;

  grid = {
    rowKey: 'id',
    columns,
    rows: [/* a live price book */],
  };

  // rebase moves every baseline to the current value, so the deltas start again.
  markAll() {
    const grid = this.gridRef && this.gridRef.grid;
    if (grid) grid.statistics.rebase('price');
  }
}

bootstrapApplication(AppComponent);